require 'spec_helper'

describe PrePlaySports::Event do

  subject { described_class.new(_event_type, _data, _context) }

  let(:_event_type) do
    'user_follow'
  end
  let(:_data) do
    {
      id: 'johndoe',
      username: 'john_doe',
      forbidden: 'content'
    }
  end
  let(:_context) do
    {
      some: 'context'
    }
  end

  its(:event_type) { should eq _event_type }
  its(:data) { should eq({ id: 'johndoe', username: 'john_doe' }) }
  its(:context) { should eq _context }


  describe "#to_scrolls_hash" do
    let(:now) { Time.now.to_s }
    before { allow(Time).to receive(:now).and_return(now) }

    subject { super().to_scrolls_hash }

    it { expect(subject).to eq({:"d.type"=>"user_follow", :"d.id"=>"johndoe", :"d.username"=>"john_doe", :"c.some"=>"context", :"m.dyno"=>nil, :"m.created_at"=>now, :preplay_event=>true}) }
  end
end
